package gorm_model

type RecruitStrategy struct {
	RecruitStrategyId int `gorm:"column:recruit_strategy_id;type:int(11);primary_key" json:"recruit_strategy_id"` // 招募策略id
	FeeForm           int `gorm:"column:fee_form;type:tinyint(4)" json:"fee_form"`                                // 稿费形式，1-3分别代表产品置换、固定稿费、自报价
	StrategyId        int `gorm:"column:strategy_id;type:int(11)" json:"strategy_id"`                             // 策略id
	FollowersLow      int `gorm:"column:followers_low;type:int(11)" json:"followers_low"`                         // 达人粉丝数下限
	FollowersUp       int `gorm:"column:followers_up;type:int(11)" json:"followers_up"`                           // 达人粉丝数上限
	RecruitNumber     int `gorm:"column:recruit_number;type:int(11)" json:"recruit_number"`                       // 招募数量
	Offer             int `gorm:"column:offer;type:int(11)" json:"offer"`                                         // 报价
	ProjectId         int `gorm:"column:project_id;type:int(11)" json:"project_id"`                               // 所属项目id
}

func (m *RecruitStrategy) TableName() string {
	return "recruit_strategy"
}
